use "IOMattesRep.dta", clear

***Main Results of the Paper

**Descriptives
tab oblig if demdum==1 & bilat==1 & militdist~=. & votediff~=. & ratification~=. & threatstate~=. & threatavgmem~=.
sum militdist if demdum==1 & bilat==1 & militdist~=. & votediff~=. & ratification~=. & threatstate~=. & threatavgmem~=.
sum votediff if demdum==1 & bilat==1 & militdist~=. & votediff~=. & ratification~=. & threatstate~=. & threatavgmem~=.
tab ratification if demdum==1 & bilat==1 & militdist~=. & votediff~=. & ratification~=. & threatstate~=. & threatavgmem~=.
sum threatstate if demdum==1 & bilat==1 & militdist~=. & votediff~=. & ratification~=. & threatstate~=. & threatavgmem~=.
sum threatavgmem if demdum==1 & bilat==1 & militdist~=. & votediff~=. & ratification~=. & threatstate~=. & threatavgmem~=.

**Table 1, Model 1
probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)
*Predicted Probabilities
estsimp probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)
setx militdist mean ratification 1 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(militdist mean 4.66477) level(90)
simqi, fd(pr) changex(votediff mean 30.76561) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3787707) level(90)
*France example
simqi, fd(pr) changex(militdist 8.57 0.37) level(90)
*threatstate at 90th percentile
setx militdist mean ratification 1 votediff mean threatstate .522852 threatavgmem mean
simqi, fd(pr) changex(militdist mean 4.66477) level(90)
*threatstate at 10th percentile
setx militdist mean ratification 1 votediff mean threatstate .006189 threatavgmem mean
simqi, fd(pr) changex(militdist mean 4.66477) level(90)
drop  b1 b2 b3 b4 b5 b6

**Table 1, Model 2
gen interact=militdist*votediff
probit oblig militdist votediff interact ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)


***Various robustness checks
*Note: need to start from base data set
gen interact=militdist*votediff

**Standard errors clustered on the alliance 
probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (atopid)
estsimp probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (atopid)
setx militdist mean ratification 1 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(militdist mean 4.66477) level(90)
simqi, fd(pr) changex(votediff mean 30.76561) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3787707) level(90)
drop  b1 b2 b3 b4 b5 b6
probit oblig militdist votediff interact ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (atopid)

*Alternative democracy coding based on the POLITY score (dem if polity>4)
probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & poldumalt==1, robust cluster (ccode)
estsimp probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & poldumalt==1, robust cluster (ccode)
setx militdist mean ratification 1 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(militdist mean 4.480741) level(90)
simqi, fd(pr) changex(votediff mean 33.88663) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3671758) level(90)
drop  b1 b2 b3 b4 b5 b6
probit oblig militdist votediff interact ratification threatstate threatavgmem if bilat==1 & poldumalt==1, robust cluster (ccode)

*Alternative democracy coding based on democracy by Cheibub et al.
probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & democracy==1, robust cluster (ccode)
estsimp probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & democracy==1, robust cluster (ccode)
setx militdist mean ratification 1 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(militdist mean 4.460562) level(90)
simqi, fd(pr) changex(votediff mean 33.52562) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3640084) level(90)
drop  b1 b2 b3 b4 b5 b6
probit oblig militdist votediff interact ratification threatstate threatavgmem if bilat==1 & democracy==1, robust cluster (ccode)

*Alternative measure of ratification ranging 0-2
probit oblig militdist votediff ratification2 threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)
estsimp probit oblig militdist votediff ratification2 threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)
setx militdist mean ratification2 2 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(militdist mean 4.66477) level(90)
simqi, fd(pr) changex(votediff mean 30.76561) level(90)
simqi, fd(pr) changex(ratification2 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3787707) level(90)
drop  b1 b2 b3 b4 b5 b6
probit oblig militdist votediff interact ratification2 threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)

*Alternative measure of militdist based on largest party other than PMs as opposition
probit oblig militdistalt votediff ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)
estsimp probit oblig militdistalt votediff ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)
setx militdistalt mean ratification 1 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(militdistalt mean 4.583199) level(90)
simqi, fd(pr) changex(votediff mean 30.76561) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3787707) level(90)
drop  b1 b2 b3 b4 b5 b6
gen interactalt=militdistalt*votediff
probit oblig militdistalt votediff interactalt ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)

*US alliances dropped
probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1 & ccode!=2, robust cluster (ccode)
estsimp probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1 & ccode!=2, robust cluster (ccode)
setx militdist mean ratification 1 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(militdist mean 4.251448) level(90)
simqi, fd(pr) changex(votediff mean 31.63657) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3426275) level(90)
drop  b1 b2 b3 b4 b5 b6
probit oblig militdist votediff interact ratification threatstate threatavgmem if bilat==1 & demdum==1 & ccode!=2, robust cluster (ccode)

*Alternative measure for preferece divergence: distance of leftright scores between government and opposition
probit oblig lrdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)
estsimp probit oblig lrdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)
setx lrdist mean ratification 1 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(lrdist mean 29.600826) level(90)
simqi, fd(pr) changex(votediff mean 30.76561) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3787707) level(90)
simqi, fd(pr) changex(threatavgmem mean 0.3165095) level(90)
drop  b1 b2 b3 b4 b5 b6
gen interactlr= lrdist*votediff
probit oblig lrdist votediff interactlr ratification threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)

*Multilateral alliance members included
probit oblig militdist votediff ratification threatstate threatavgmem if demdum==1, robust cluster (ccode)
estsimp probit oblig militdist votediff ratification threatstate threatavgmem if demdum==1, robust cluster (ccode)
setx militdist mean ratification 1 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(militdist mean 4.867123) level(90)
simqi, fd(pr) changex(votediff mean 30.02694) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3870632) level(90)
drop  b1 b2 b3 b4 b5 b6
probit oblig militdist votediff interact ratification threatstate threatavgmem if demdum==1, robust cluster (ccode)

**Interaction between military distance and ratification
gen interactmr= militdist*ratification
probit oblig militdist ratification interactmr votediff threatstate threatavgmem if bilat==1 & demdum==1, robust cluster (ccode)

**Extra Checks

*Include only countries with variance of alliance type
gen marker=0
recode marker (0=1) if ccode==2|ccode==20|ccode==200|ccode==220|ccode==325|ccode==344|ccode==375|ccode==640
probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1 & marker==1, robust cluster (ccode)
estsimp probit oblig militdist votediff ratification threatstate threatavgmem if bilat==1 & demdum==1 & marker==1, robust cluster (ccode)
setx militdist mean ratification 1 votediff mean threatstate mean threatavgmem mean
*1 std increase
simqi, fd(pr) changex(militdist mean 5.471681) level(90)
simqi, fd(pr) changex(votediff mean 28.4588) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.5063333) level(90)
drop  b1 b2 b3 b4 b5 b6
probit oblig militdist votediff interact ratification threatstate threatavgmem if bilat==1 & demdum==1 & marker==1, robust cluster (ccode)

*Precommitment through existing multilat defense pact
probit oblig militdist votediff ratification threatstate threatavgmem prevdef if bilat==1 & demdum==1, robust cluster (ccode)
estsimp probit oblig militdist votediff ratification threatstate threatavgmem prevdef if bilat==1 & demdum==1, robust cluster (ccode)
setx militdist mean ratification 1 votediff mean threatstate mean threatavgmem mean prevdef 0
*1 std increase
simqi, fd(pr) changex(militdist mean 4.66477) level(90)
simqi, fd(pr) changex(votediff mean 30.76561) level(90)
simqi, fd(pr) changex(ratification 0 1) level(90)
simqi, fd(pr) changex(threatstate mean 0.3787707) level(90)
drop  b1 b2 b3 b4 b5 b6 b7
probit oblig militdist votediff interact ratification threatstate threatavgmem prevdef if bilat==1 & demdum==1, robust cluster (ccode)
